## org.ascape.model.engine
Class ChainedStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy
          org.ascape.model.engine.ChainedStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ChainedStrategy

extends ExecutionStrategy

The Class ChainedStrategy.

See Also:
  Serialized Form

Constructor Summary
`ChainedStrategy(ExecutionStrategy strategy1, ExecutionStrategy strategy2)` Instantiates a new chained strategy.

Method Summary
`void` `execute()` Execute.
`void` `reset()` Reset.

Methods inherited from class org.ascape.model.engine.ExecutionStrategy
`chain, clone, isSupportsParallel`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedStrategy

    public ChainedStrategy(ExecutionStrategy strategy1,
                           ExecutionStrategy strategy2)

  Instantiates a new chained strategy.

  Parameters:
    `strategy1` - the strategy1
    `strategy2` - the strategy2

Method Detail

### execute

    public void execute()

  Description copied from class: `ExecutionStrategy`
  Execute.

  Specified by:
    `execute` in class `ExecutionStrategy`

### reset

    public void reset()

  Description copied from class: `ExecutionStrategy`
  Reset.

  Specified by:
    `reset` in class `ExecutionStrategy`